Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(49)

Side by Side Diff: bison/src/bison/2.4.1/bison-2.4.1/po/Makefile

Issue 10807020: Add native Windows binary for bison. (Closed) Base URL: svn://chrome-svn/chrome/trunk/deps/third_party/
Patch Set: Created 8 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
Property Changes:
Added: svn:eol-style
+ LF
OLDNEW
(Empty)
1 # -*- buffer-read-only: t -*- vi: set ro:
2 # DO NOT EDIT! GENERATED AUTOMATICALLY!
3 # Makefile for PO directory in any package using GNU gettext.
4 # Copyright (C) 1995-1997, 2000-2006 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
5 #
6 # This file can be copied and used freely without restrictions. It can
7 # be used in projects which are not available under the GNU General Public
8 # License but which still want to provide support for the GNU gettext
9 # functionality.
10 # Please note that the actual code of GNU gettext is covered by the GNU
11 # General Public License and is *not* in the public domain.
12 #
13 # Origin: gettext-0.15
14
15 PACKAGE = bison
16 VERSION = 2.4.1
17 PACKAGE_BUGREPORT = bug-bison@gnu.org
18
19 SHELL = /bin/sh
20
21
22 srcdir = ../../bison-2.4.1-src/po
23 top_srcdir = ../../bison-2.4.1-src
24 VPATH = ../../bison-2.4.1-src/po
25
26 prefix = c:/progra~1/bison
27 exec_prefix = ${prefix}
28 datarootdir = ${prefix}/share
29 datadir = ${datarootdir}
30 localedir = ${datarootdir}/locale
31 gettextsrcdir = $(datadir)/gettext/po
32
33 INSTALL = /bin/install.exe -cp
34 INSTALL_DATA = /bin/install.exe -cp
35 mkinstalldirs = $(SHELL) $(SHELL) /cygdrive/j/Devel/bison/2.4.1/bison-2.4.1-src/ build-aux/install-sh -d
36 mkdir_p = /usr/bin/mkdir -p
37
38 GMSGFMT_ = /usr/bin/msgfmt
39 GMSGFMT_no = /usr/bin/msgfmt
40 GMSGFMT_yes = /usr/bin/msgfmt
41 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
42 MSGFMT_ = /usr/bin/msgfmt
43 MSGFMT_no = /usr/bin/msgfmt
44 MSGFMT_yes = /usr/bin/msgfmt
45 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
46 XGETTEXT_ = /usr/bin/xgettext
47 XGETTEXT_no = /usr/bin/xgettext
48 XGETTEXT_yes = /usr/bin/xgettext
49 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
50 MSGMERGE = msgmerge
51 MSGMERGE_UPDATE = /usr/bin/msgmerge --update
52 MSGINIT = msginit
53 MSGCONV = msgconv
54 MSGFILTER = msgfilter
55
56 POFILES = $(srcdir)/da.po $(srcdir)/de.po $(srcdir)/el.po $(srcdir)/es.po $(src dir)/et.po $(srcdir)/fr.po $(srcdir)/ga.po $(srcdir)/hr.po $(srcdir)/id.po $(src dir)/it.po $(srcdir)/ja.po $(srcdir)/ms.po $(srcdir)/nb.po $(srcdir)/nl.po $(src dir)/pl.po $(srcdir)/pt_BR.po $(srcdir)/ro.po $(srcdir)/ru.po $(srcdir)/sv.po $( srcdir)/tr.po $(srcdir)/uk.po $(srcdir)/vi.po $(srcdir)/zh_TW.po
57 GMOFILES = $(srcdir)/da.gmo $(srcdir)/de.gmo $(srcdir)/el.gmo $(srcdir)/es.gmo $(srcdir)/et.gmo $(srcdir)/fr.gmo $(srcdir)/ga.gmo $(srcdir)/hr.gmo $(srcdir)/id .gmo $(srcdir)/it.gmo $(srcdir)/ja.gmo $(srcdir)/ms.gmo $(srcdir)/nb.gmo $(srcdi r)/nl.gmo $(srcdir)/pl.gmo $(srcdir)/pt_BR.gmo $(srcdir)/ro.gmo $(srcdir)/ru.gmo $(srcdir)/sv.gmo $(srcdir)/tr.gmo $(srcdir)/uk.gmo $(srcdir)/vi.gmo $(srcdir)/z h_TW.gmo
58 UPDATEPOFILES = da.po-update de.po-update el.po-update es.po-update et.po-updat e fr.po-update ga.po-update hr.po-update id.po-update it.po-update ja.po-update ms.po-update nb.po-update nl.po-update pl.po-update pt_BR.po-update ro.po-update ru.po-update sv.po-update tr.po-update uk.po-update vi.po-update zh_TW.po-updat e
59 DUMMYPOFILES = da.nop de.nop el.nop es.nop et.nop fr.nop ga.nop hr.nop id.nop i t.nop ja.nop ms.nop nb.nop nl.nop pl.nop pt_BR.nop ro.nop ru.nop sv.nop tr.nop u k.nop vi.nop zh_TW.nop
60 DISTFILES.common = Makefile.in.in remove-potcdate.sin \
61 $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
62 DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
63 $(POFILES) $(GMOFILES) \
64 $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
65
66 POTFILES = \
67 ../../bison-2.4.1-src/src/complain.c \
68 ../../bison-2.4.1-src/src/conflicts.c \
69 ../../bison-2.4.1-src/src/files.c \
70 ../../bison-2.4.1-src/src/getargs.c \
71 ../../bison-2.4.1-src/src/gram.c \
72 ../../bison-2.4.1-src/src/location.c \
73 ../../bison-2.4.1-src/src/main.c \
74 ../../bison-2.4.1-src/src/parse-gram.y \
75 ../../bison-2.4.1-src/src/print.c \
76 ../../bison-2.4.1-src/src/reader.c \
77 ../../bison-2.4.1-src/src/reduce.c \
78 ../../bison-2.4.1-src/src/scan-code.l \
79 ../../bison-2.4.1-src/src/scan-gram.l \
80 ../../bison-2.4.1-src/src/symlist.c \
81 ../../bison-2.4.1-src/src/symtab.c \
82 ../../bison-2.4.1-src/lib/argmatch.c \
83 ../../bison-2.4.1-src/lib/bitset_stats.c \
84 ../../bison-2.4.1-src/lib/error.c \
85 ../../bison-2.4.1-src/lib/getopt.c \
86 ../../bison-2.4.1-src/lib/obstack.c \
87 ../../bison-2.4.1-src/lib/quotearg.c \
88 ../../bison-2.4.1-src/lib/subpipe.c \
89 ../../bison-2.4.1-src/lib/timevar.c \
90 ../../bison-2.4.1-src/lib/xalloc-die.c
91
92 CATALOGS = da.gmo de.gmo el.gmo es.gmo et.gmo fr.gmo ga.gmo hr.gmo id.gmo it.gm o ja.gmo ms.gmo nb.gmo nl.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo tr.gmo uk.gm o vi.gmo zh_TW.gmo
93
94 # Makevars gets inserted here. (Don't remove this line!)
95 # -*- buffer-read-only: t -*- vi: set ro:
96 # DO NOT EDIT! GENERATED AUTOMATICALLY!
97 # Makefile variables for PO directory in any package using GNU gettext.
98
99 # Usually the message domain is the same as the package name.
100 DOMAIN = $(PACKAGE)
101
102 # These two variables depend on the location of this directory.
103 subdir = po
104 top_builddir = ..
105
106 # These options get passed to xgettext.
107 XGETTEXT_OPTIONS = --keyword=_ --keyword=N_ \
108 \
109 --flag=_:1:pass-c-format\
110 --flag=N_:1:pass-c-format\
111 --flag=error:3:c-format --flag=error_at_line:5:c-format\
112 \
113 --from-code=UTF-8\
114 --flag=asprintf:2:c-format\
115 --flag=complain:1:c-format --flag=complain_at:2:c-format\
116 --flag=fatal:1:c-format --flag=fatal_at:2:c-format\
117 --flag=warn:1:c-format --flag=warn_at:2:c-format\
118 --flag=unexpected_end:2:c-format\
119 $${end_of_xgettext_options+}
120
121 # This is the copyright holder that gets inserted into the header of the
122 # $(DOMAIN).pot file. Set this to the copyright holder of the surrounding
123 # package. (Note that the msgstr strings, extracted from the package's
124 # sources, belong to the copyright holder of the package.) Translators are
125 # expected to transfer the copyright for their translations to this person
126 # or entity, or to disclaim their copyright. The empty string stands for
127 # the public domain; in this case the translators are expected to disclaim
128 # their copyright.
129 COPYRIGHT_HOLDER = Free Software Foundation, Inc.
130
131 # This is the email address or URL to which the translators shall report
132 # bugs in the untranslated strings:
133 # - Strings which are not entire sentences, see the maintainer guidelines
134 # in the GNU gettext documentation, section 'Preparing Strings'.
135 # - Strings which use unclear terms or require additional context to be
136 # understood.
137 # - Strings which make invalid assumptions about notation of date, time or
138 # money.
139 # - Pluralisation problems.
140 # - Incorrect English spelling.
141 # - Incorrect formatting.
142 # It can be your email address, or a mailing list address where translators
143 # can write to without being subscribed, or the URL of a web page through
144 # which the translators can contact you.
145 MSGID_BUGS_ADDRESS = bug-bison@gnu.org
146
147 # This is the list of locale categories, beyond LC_MESSAGES, for which the
148 # message catalogs shall be used. It is usually empty.
149 EXTRA_LOCALE_CATEGORIES =
150
151 .SUFFIXES:
152 .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
153
154 .po.mo:
155 @echo "$(MSGFMT) -c -o $@ $<"; \
156 $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
157
158 .po.gmo:
159 @lang=`echo $* | sed -e 's,.*/,,'`; \
160 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
161 echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${la ng}.gmo $${lang}.po"; \
162 cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$$ {lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
163
164 .sin.sed:
165 sed -e '/^#/d' $< > t-$@
166 mv t-$@ $@
167
168
169 all: all-yes
170
171 all-yes: stamp-po
172 all-no:
173
174 # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
175 # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
176 # we don't want to bother translators with empty POT files). We assume that
177 # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
178 # In this case, stamp-po is a nop (i.e. a phony target).
179
180 # stamp-po is a timestamp denoting the last time at which the CATALOGS have
181 # been loosely updated. Its purpose is that when a developer or translator
182 # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
183 # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
184 # invocations of "make" will do nothing. This timestamp would not be necessary
185 # if updating the $(CATALOGS) would always touch them; however, the rule for
186 # $(POFILES) has been designed to not touch files that don't need to be
187 # changed.
188 stamp-po: $(srcdir)/$(DOMAIN).pot
189 test ! -f $(srcdir)/$(DOMAIN).pot || \
190 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
191 @test ! -f $(srcdir)/$(DOMAIN).pot || { \
192 echo "touch stamp-po" && \
193 echo timestamp > stamp-poT && \
194 mv stamp-poT stamp-po; \
195 }
196
197 # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
198 # otherwise packages like GCC can not be built if only parts of the source
199 # have been downloaded.
200
201 # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
202 # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
203 $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
204 if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'P ACKAGE_BUGREPORT'@'; then \
205 msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
206 else \
207 msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
208 fi; \
209 $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
210 --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
211 --files-from=$(srcdir)/POTFILES.in \
212 --copyright-holder='$(COPYRIGHT_HOLDER)' \
213 --msgid-bugs-address="$$msgid_bugs_address"
214 test ! -f $(DOMAIN).po || { \
215 if test -f $(srcdir)/$(DOMAIN).pot; then \
216 sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
217 sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
218 if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
219 rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
220 else \
221 rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
222 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
223 fi; \
224 else \
225 mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
226 fi; \
227 }
228
229 # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
230 # every "make" invocation, only create it when it is missing.
231 # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
232 $(srcdir)/$(DOMAIN).pot:
233 $(MAKE) $(DOMAIN).pot-update
234
235 # This target rebuilds a PO file if $(DOMAIN).pot has changed.
236 # Note that a PO file is not touched if it doesn't need to be changed.
237 $(POFILES): $(srcdir)/$(DOMAIN).pot
238 @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
239 if test -f "$(srcdir)/$${lang}.po"; then \
240 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
241 echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
242 cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
243 else \
244 $(MAKE) $${lang}.po-create; \
245 fi
246
247
248 install: install-exec install-data
249 install-exec:
250 install-data: install-data-yes
251 if test "$(PACKAGE)" = "gettext-tools"; then \
252 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
253 for file in $(DISTFILES.common) Makevars.template; do \
254 $(INSTALL_DATA) $(srcdir)/$$file \
255 $(DESTDIR)$(gettextsrcdir)/$$file; \
256 done; \
257 for file in Makevars; do \
258 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
259 done; \
260 else \
261 : ; \
262 fi
263 install-data-no: all
264 install-data-yes: all
265 $(mkdir_p) $(DESTDIR)$(datadir)
266 @catalogs='$(CATALOGS)'; \
267 for cat in $$catalogs; do \
268 cat=`basename $$cat`; \
269 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
270 dir=$(localedir)/$$lang/LC_MESSAGES; \
271 $(mkdir_p) $(DESTDIR)$$dir; \
272 if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi ; \
273 $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
274 echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
275 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
276 if test -n "$$lc"; then \
277 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/ dev/null) | grep ' -> ' >/dev/null; then \
278 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
279 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$l ang/$$lc.old; \
280 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
281 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
282 for file in *; do \
283 if test -f $$file; then \
284 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$ $file; \
285 fi; \
286 done); \
287 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
288 else \
289 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
290 :; \
291 else \
292 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
293 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
294 fi; \
295 fi; \
296 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
297 ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$ lc/$(DOMAIN).mo 2>/dev/null || \
298 ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDI R)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
299 cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DES TDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
300 echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$ $lc/$(DOMAIN).mo"; \
301 fi; \
302 done; \
303 done
304
305 install-strip: install
306
307 installdirs: installdirs-exec installdirs-data
308 installdirs-exec:
309 installdirs-data: installdirs-data-yes
310 if test "$(PACKAGE)" = "gettext-tools"; then \
311 $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
312 else \
313 : ; \
314 fi
315 installdirs-data-no:
316 installdirs-data-yes:
317 $(mkdir_p) $(DESTDIR)$(datadir)
318 @catalogs='$(CATALOGS)'; \
319 for cat in $$catalogs; do \
320 cat=`basename $$cat`; \
321 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
322 dir=$(localedir)/$$lang/LC_MESSAGES; \
323 $(mkdir_p) $(DESTDIR)$$dir; \
324 for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
325 if test -n "$$lc"; then \
326 if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/ dev/null) | grep ' -> ' >/dev/null; then \
327 link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
328 mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$l ang/$$lc.old; \
329 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
330 (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
331 for file in *; do \
332 if test -f $$file; then \
333 ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$ $file; \
334 fi; \
335 done); \
336 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
337 else \
338 if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
339 :; \
340 else \
341 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
342 mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
343 fi; \
344 fi; \
345 fi; \
346 done; \
347 done
348
349 # Define this as empty until I found a useful application.
350 installcheck:
351
352 uninstall: uninstall-exec uninstall-data
353 uninstall-exec:
354 uninstall-data: uninstall-data-yes
355 if test "$(PACKAGE)" = "gettext-tools"; then \
356 for file in $(DISTFILES.common) Makevars.template; do \
357 rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
358 done; \
359 else \
360 : ; \
361 fi
362 uninstall-data-no:
363 uninstall-data-yes:
364 catalogs='$(CATALOGS)'; \
365 for cat in $$catalogs; do \
366 cat=`basename $$cat`; \
367 lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
368 for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
369 rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
370 done; \
371 done
372
373 check: all
374
375 info dvi ps pdf html tags TAGS ctags CTAGS ID:
376
377 mostlyclean:
378 rm -f remove-potcdate.sed
379 rm -f stamp-poT
380 rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
381 rm -fr *.o
382
383 clean: mostlyclean
384
385 distclean: clean
386 rm -f Makefile Makefile.in POTFILES *.mo
387
388 maintainer-clean: distclean
389 @echo "This command is intended for maintainers to use;"
390 @echo "it deletes files that may require special tools to rebuild."
391 rm -f stamp-po $(GMOFILES)
392
393 distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
394 dist distdir:
395 $(MAKE) update-po
396 @$(MAKE) dist2
397 # This is a separate target because 'update-po' must be executed before.
398 dist2: stamp-po $(DISTFILES)
399 dists="$(DISTFILES)"; \
400 if test "$(PACKAGE)" = "gettext-tools"; then \
401 dists="$$dists Makevars.template"; \
402 fi; \
403 if test -f $(srcdir)/$(DOMAIN).pot; then \
404 dists="$$dists $(DOMAIN).pot stamp-po"; \
405 fi; \
406 if test -f $(srcdir)/ChangeLog; then \
407 dists="$$dists ChangeLog"; \
408 fi; \
409 for i in 0 1 2 3 4 5 6 7 8 9; do \
410 if test -f $(srcdir)/ChangeLog.$$i; then \
411 dists="$$dists ChangeLog.$$i"; \
412 fi; \
413 done; \
414 if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
415 for file in $$dists; do \
416 if test -f $$file; then \
417 cp -p $$file $(distdir) || exit 1; \
418 else \
419 cp -p $(srcdir)/$$file $(distdir) || exit 1; \
420 fi; \
421 done
422
423 update-po: Makefile
424 $(MAKE) $(DOMAIN).pot-update
425 test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
426 $(MAKE) update-gmo
427
428 # General rule for creating PO files.
429
430 .nop.po-create:
431 @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
432 echo "File $$lang.po does not exist. If you are a translator, you can cr eate it through 'msginit'." 1>&2; \
433 exit 1
434
435 # General rule for updating PO files.
436
437 .nop.po-update:
438 @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
439 if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; f i; \
440 tmpdir=`pwd`; \
441 echo "$$lang:"; \
442 test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
443 echo "$${cdcmd}$(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
444 cd $(srcdir); \
445 if $(MSGMERGE) $$lang.po $(DOMAIN).pot -o $$tmpdir/$$lang.new.po; then \
446 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
447 rm -f $$tmpdir/$$lang.new.po; \
448 else \
449 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
450 :; \
451 else \
452 echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.n ew.po to $$lang.po" 1>&2; \
453 exit 1; \
454 fi; \
455 fi; \
456 else \
457 echo "msgmerge for $$lang.po failed!" 1>&2; \
458 rm -f $$tmpdir/$$lang.new.po; \
459 fi
460
461 $(DUMMYPOFILES):
462
463 update-gmo: Makefile $(GMOFILES)
464 @:
465
466 Makefile: Makefile.in.in Makevars $(top_builddir)/config.status POTFILES.in LING UAS
467 cd $(top_builddir) \
468 && $(SHELL) ./config.status $(subdir)/$@.in po-directories
469
470 force:
471
472 # Tell versions [3.59,3.63) of GNU make not to export all variables.
473 # Otherwise a system limit (for SysV at least) may be exceeded.
474 .NOEXPORT:
475 # Special Makefile rules for English message catalogs with quotation marks.
476
477 DISTFILES.common.extra1 = quot.sed boldquot.sed en@quot.header en@boldquot.heade r insert-header.sin Rules-quot
478
479 .SUFFIXES: .insert-header .po-update-en
480
481 en@quot.po-create:
482 $(MAKE) en@quot.po-update
483 en@boldquot.po-create:
484 $(MAKE) en@boldquot.po-update
485
486 en@quot.po-update: en@quot.po-update-en
487 en@boldquot.po-update: en@boldquot.po-update-en
488
489 .insert-header.po-update-en:
490 @lang=`echo $@ | sed -e 's/\.po-update-en$$//'`; \
491 if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; GETTEXT LIBDIR=`cd $(top_srcdir)/src && pwd`; export GETTEXTLIBDIR; fi; \
492 tmpdir=`pwd`; \
493 echo "$$lang:"; \
494 ll=`echo $$lang | sed -e 's/@.*//'`; \
495 LC_ALL=C; export LC_ALL; \
496 cd $(srcdir); \
497 if $(MSGINIT) -i $(DOMAIN).pot --no-translator -l $$ll -o - 2>/dev/null | sed -f $$tmpdir/$$lang.insert-header | $(MSGCONV) -t UTF-8 | $(MSGFILTER) sed -f `echo $$lang | sed -e 's/.*@//'`.sed 2>/dev/null > $$tmpdir/$$lang.new.po; th en \
498 if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
499 rm -f $$tmpdir/$$lang.new.po; \
500 else \
501 if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
502 :; \
503 else \
504 echo "creation of $$lang.po failed: cannot move $$tmpdir/$$lang.ne w.po to $$lang.po" 1>&2; \
505 exit 1; \
506 fi; \
507 fi; \
508 else \
509 echo "creation of $$lang.po failed!" 1>&2; \
510 rm -f $$tmpdir/$$lang.new.po; \
511 fi
512
513 en@quot.insert-header: insert-header.sin
514 sed -e '/^#/d' -e 's/HEADER/en@quot.header/g' $(srcdir)/insert-header.si n > en@quot.insert-header
515
516 en@boldquot.insert-header: insert-header.sin
517 sed -e '/^#/d' -e 's/HEADER/en@boldquot.header/g' $(srcdir)/insert-heade r.sin > en@boldquot.insert-header
518
519 mostlyclean: mostlyclean-quot
520 mostlyclean-quot:
521 rm -f *.insert-header
OLDNEW

Powered by Google App Engine
This is Rietveld 408576698